net.minecraft.client.renderer.tileentity

## Class TileEntityRendererPiston

- java.lang.Object
- - net.minecraft.client.renderer.tileentity.TileEntitySpecialRenderer
  - - net.minecraft.client.renderer.tileentity.TileEntityRendererPiston

-     public class TileEntityRendererPiston
      extends TileEntitySpecialRenderer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TileEntityRendererPiston()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onWorldChange(World par1World)` Called when the ingame world being rendered changes (e.g.
    `void` | `renderPiston(TileEntityPiston par1TileEntityPiston, double par2, double par4, double par6, float par8)`
    `void` | `renderTileEntityAt(TileEntity par1TileEntity, double par2, double par4, double par6, float par8)`

    - ### Methods inherited from class net.minecraft.client.renderer.tileentity.TileEntitySpecialRenderer

      `getFontRenderer, setTileEntityRenderer`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TileEntityRendererPiston

          public TileEntityRendererPiston()

  - ### Method Detail

    - #### renderPiston

          public void renderPiston(TileEntityPiston par1TileEntityPiston,
                          double par2,
                          double par4,
                          double par6,
                          float par8)

    - #### onWorldChange

          public void onWorldChange(World par1World)

      Called when the ingame world being rendered changes (e.g. on world -> nether travel) due to using one renderer per tile entity type, rather than instance
      Overrides:
        `onWorldChange` in class `TileEntitySpecialRenderer`

    - #### renderTileEntityAt

          public void renderTileEntityAt(TileEntity par1TileEntity,
                                double par2,
                                double par4,
                                double par6,
                                float par8)

      Specified by:
        `renderTileEntityAt` in class `TileEntitySpecialRenderer`